bkruse: branch 2.0 r3758 - in /branches/2.0: config/ scripts/

SVN commits to the Asterisk-GUI project asterisk-gui-commits at lists.digium.com
Thu Sep 4 16:05:03 CDT 2008


Author: bkruse
Date: Thu Sep  4 16:05:02 2008
New Revision: 3758

URL: http://svn.digium.com/view/asterisk-gui?view=rev&rev=3758
Log:
Fixed the dldsoundpack of a couple more bugs, and added
the ability to say whether or not it's in AA50 mode.
(To see whether or not we need to check for CF)

(closes issue #13423)

Modified:
    branches/2.0/config/language.html
    branches/2.0/scripts/dldsoundpack

Modified: branches/2.0/config/language.html
URL: http://svn.digium.com/view/asterisk-gui/branches/2.0/config/language.html?view=diff&rev=3758&r1=3757&r2=3758
==============================================================================
--- branches/2.0/config/language.html (original)
+++ branches/2.0/config/language.html Thu Sep  4 16:05:02 2008
@@ -75,8 +75,9 @@
 		};
 		var after = function(){ setTimeout( check_ifDone , 10000 ); };
 		var l = ASTGUI.getFieldValue('language')
+		var platform = (parent.sessionData.PLATFORM.isAA50) ? 'AA50' : 'none';
 		parent.ASTGUI.dialog.waitWhile(' Downloading Language ...');
-		parent.ASTGUI.systemCmd( ASTGUI.scripts.dldsoundpack + ' ' + l + ' &', after);
+		parent.ASTGUI.systemCmd( ASTGUI.scripts.dldsoundpack + ' ' + l + ' ' + platform + ' &', after);
 	};
 
  	var check_ifDownloadNeeded = function(){

Modified: branches/2.0/scripts/dldsoundpack
URL: http://svn.digium.com/view/asterisk-gui/branches/2.0/scripts/dldsoundpack?view=diff&rev=3758&r1=3757&r2=3758
==============================================================================
--- branches/2.0/scripts/dldsoundpack (original)
+++ branches/2.0/scripts/dldsoundpack Thu Sep  4 16:05:02 2008
@@ -1,6 +1,7 @@
 #!/bin/sh
 # Grabs the latest sound files from the digium downaloads site 
 PROGRAM_VERSION=AA50-1.2
+MODE=$2
 SOUND_ARCHIVE_URL="http://downloads.digium.com/pub/telephony/sounds/releases"
 SOUNDS_CORE_VERSION=1.4.8 
 SOUNDS_EXTRA_VERSION=1.4.7
@@ -30,11 +31,13 @@
 	exit 1
 fi
 
-if mount | grep -q ${SOUND_BASE}; then
-	echo "Filesystem mounted on ${SOUND_BASE}"
-else
-	echo "Compact Flash is not mounted on ${SOUND_BASE}!"
-	exit 1
+if [ "$MODE" = "AA50" ]; then
+	if mount | grep -q ${SOUND_BASE}; then
+		echo "Filesystem mounted on ${SOUND_BASE}"
+	else
+		echo "Compact Flash is not mounted on ${SOUND_BASE}!"
+		exit 1
+	fi
 fi
 
 if [ ! -d $SOUND_LOC ]; then
@@ -44,9 +47,11 @@
 echo "Downloading and unpacking sounds of format: ${SOUNDS_LANGUAGE}"
 cd ${SOUND_LOC}
 for formats in $SOUND_FORMATS; do
-	wget ${SOUND_ARCHIVE_URL}/asterisk-core-sounds-${SOUNDS_LANGUAGE}-${formats}-${SOUNDS_CORE_VERSION}.tar.gz -O - | gzip -dc | tar xvf -
+	# Only show Errors/Warnings (stderr) and the actual download
+	wget ${SOUND_ARCHIVE_URL}/asterisk-core-sounds-${SOUNDS_LANGUAGE}-${formats}-${SOUNDS_CORE_VERSION}.tar.gz -O - | gzip -dc | tar xvf - > /dev/null
 	if [ "yes" = "$DO_EXTRA" ]; then 
-		wget ${SOUND_ARCHIVE_URL}/asterisk-extra-sounds-${SOUNDS_LANGUAGE}-${formats}-${SOUNDS_EXTRA_VERSION}.tar.gz -O - | gzip -dc | tar xvf -
+		# Only show Errors/Warnings (stderr) and the actual download
+		wget ${SOUND_ARCHIVE_URL}/asterisk-extra-sounds-${SOUNDS_LANGUAGE}-${formats}-${SOUNDS_EXTRA_VERSION}.tar.gz -O - | gzip -dc | tar xvf - > /dev/null
 	fi
 done 
 
@@ -56,7 +61,8 @@
 fi
 cd moh
 for formats in $SOUND_FORMATS; do
-	wget http://downloads.digium.com/pub/telephony/sounds/asterisk-moh-freeplay-${formats}.tar.gz -O - | gzip -dc | tar xvf -
+	# Only show Errors/Warnings (stderr) and the actual download
+	wget http://downloads.digium.com/pub/telephony/sounds/asterisk-moh-freeplay-${formats}.tar.gz -O - | gzip -dc | tar xvf - > /dev/null
 done
 
 cd ${SOUND_BASE}




More information about the asterisk-gui-commits mailing list